> For the complete documentation index, see [llms.txt](https://docs.keeper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keeper.io/keeperpam/jp/commander-sdk/keeper-commander-sdks/sdk-command-reference/pedm-commands/pedm-deployment-commands.md).

# KEPMデプロイコマンド

### 概要

ここでは、KEPMエージェントのデプロイを管理するKeeperコマンダーのコマンドを取り扱います。デプロイはエージェントのデプロイ構成を表し、エンドポイントでKEPMエージェントをインストールして登録するために必要なトークンを取得できます。これらのコマンドで、デプロイ構成の作成・表示・更新・削除が行えます。

このセクションで扱うコマンドは以下のとおりです。

* [**デプロイ一覧コマンド**](#deployment-list-command)
* [**デプロイ追加コマンド**](#deployment-add-command)
* [**デプロイ編集コマンド**](#deployment-edit-command)
* [**デプロイ削除コマンド**](#deployment-delete-command)
* [**デプロイトークン取得コマンド**](#deployment-download-command)

### 使い方

`pedm deployment command [--options]` または `pedm d command [--options]`

**エイリアス:** `d`

***

### デプロイ一覧コマンド <a href="#deployment-list-command" id="deployment-list-command"></a>

すべてのKEPMデプロイを、デプロイUID、名前、状態、作成日、関連エージェント数を含む詳細とともに表示します。組織全体にわたる複数のデプロイ構成の監視・管理に役立ちます。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `epm-deployment list`

**エイリアス:** `epm-dep list`

**例**:

{% code expandable="true" %}

```bash
My Vault > epm-deployment lists
```

{% endcode %}

特定デプロイの詳細を取得

**コマンド:** `epm-deployment view`

**エイリアス:** `epm-dep view`

**パラメータ:**

<table><thead><tr><th width="211">パラメータ</th><th>説明</th></tr></thead><tbody><tr><td><em>(位置引数)</em></td><td>デプロイUIDまたは名前 (大文字/小文字を区別しない)。</td></tr><tr><td><code>--name</code></td><td>代替: デプロイ名。</td></tr></tbody></table>

**例:**

{% code expandable="true" %}

```bash
My Vault > epm-deployment view "My Deployment"
```

{% endcode %}

</details>

<details>

<summary>DotNet SDK</summary>

**関数:**

{% code expandable="true" %}

```csharp
IEnumerable<EpmDeployment> allDeployments = plugin.Deployments.GetAll();

// Get a single deployment by UID
EpmDeployment deployment = plugin.Deployments.GetEntity(deploymentUid);
```

{% endcode %}

</details>

<details>

<summary>Power Commander</summary>

**コマンド:** `Get-KeeperEpmDeploymentList`

**エイリアス**: `kepm-deployment-list`

**例**:

{% code expandable="true" %}

```ps1
PS > Deployment UID         Name              Disabled Created                Modified            Agent Count
--------------              ----              -------- -------                --------            -----------
hXdaU89PDvdMxhT2oMpmTw     DEP 1                False    2026-05-04 12:13:10 2026-05-04 12:13:10           2
evd5VHCeD66VgjrGLQWj9A     DEP 2                False    2026-04-30 10:32:55 2026-04-30 10:32:55           0
VXj_WRD8Lg9JXyMDHnFODA     DEP 3                False    2026-04-22 08:40:16 2026-04-30 13:39:43           0
vvpOO8FihzHCeg4CZ-_bwA     DEP 4                False    2026-03-17 07:17:39 2026-03-17 07:17:39           0
NXpB2cmMj1D1q30U5taghg     DEP 5                False    2026-03-12 15:32:44 2026-03-12 15:32:44           0
```

{% endcode %}

特定デプロイの詳細情報を取得

**コマンド:** `Get-KeeperEpmDeployment`

**エイリアス:** `kepm-deployment-view`

**パラメータ**:

<table><thead><tr><th width="223">パラメータ</th><th>説明</th></tr></thead><tbody><tr><td><code>-DeploymentUidOrName</code></td><td>デプロイUIDまたはデプロイ名 (大文字/小文字を区別しない)。</td></tr></tbody></table>

**例**:

{% code expandable="true" %}

```ps1
PS > Get-KeeperEpmDeployment  hXdaU89PDvdMxhT2oMpmTw
Deployment: DEP 1
  UID: hXdaU89PDvdMxhT2oMpmTw
  Status: Active
  Created: 2026-05-04 12:13:10
  Modified: 2026-05-04 12:13:10
```

{% endcode %}

</details>

<details>

<summary>Python SDK</summary>

**関数:**

```python
from keepersdk.plugins.pedm import admin_plugin

plugin = admin_plugin.PedmPlugin(enterprise_loader)
deployments = plugin.deployments.get_all_entities()
```

</details>

### デプロイ追加コマンド <a href="#deployment-add-command" id="deployment-add-command"></a>

新しいKEPMデプロイ構成を作成します。エンドポイントでKEPMエージェントをインストールして登録するために利用できる、固有のデプロイトークンを生成します。デプロイ単位でエージェントを論理的にまとめられます。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `epm-deployment add`

**エイリアス**: `epm-dep add`

**パラメータ**:

<table><thead><tr><th width="182.00006103515625">パラメータ</th><th>説明</th></tr></thead><tbody><tr><td><code>--name</code></td><td>デプロイ表示名。</td></tr><tr><td><code>--spiffe-cert</code></td><td>SPIFFE証明書ファイルパス (<code>.cer</code>、<code>.der</code>、<code>.pem</code>) またはbase64urlエンコード文字列。</td></tr><tr><td><code>-f</code>, <code>--force</code></td><td>同名のデプロイが既に存在していても追加を許可。</td></tr></tbody></table>

**例:**

{% code expandable="true" %}

```bash
My Vault> epm-deployment add --name "Test Servers"      
Deployment 'Test Servers' added.
  Added: v1V-I5PrHXwvK82epoP_Yw
```

{% endcode %}

</details>

<details>

<summary>DotNet SDK</summary>

**関数:** `ModifyDeployments`

**例**:

{% code expandable="true" %}

```csharp
public async Task<ModifyStatus> ModifyDeployments(
    IEnumerable<DeploymentDataInput> addDeployments = null,
    IEnumerable<DeploymentDataInput> updateDeployments = null,
    IEnumerable<string> removeDeployments = null)
```

{% endcode %}

</details>

<details>

<summary>Power Commander</summary>

**コマンド:** `Add-KeeperEpmDeployment`

**エイリアス**: `kepm-deployment-add`

**パラメータ**:

<table><thead><tr><th width="259">パラメータ</th><th>説明</th></tr></thead><tbody><tr><td><code>-Name</code></td><td>デプロイ表示名。</td></tr><tr><td><code>-Force</code></td><td>指定時、同名のデプロイが既に存在していても追加を許可。</td></tr></tbody></table>

**例:**

{% code expandable="true" %}

```ps1
PS > Add-KeeperEpmDeployment -Name "Example Servers"                                     
Deployment 'Example Servers' added.
  Added: QNRf1KWsxDg6YkLxJaZTbA
```

{% endcode %}

</details>

<details>

<summary>Python SDK</summary>

**関数:**

```python
from keepersdk.plugins.pedm import admin_plugin

deployment_name = 'deployment name'
plugin = admin_plugin.PedmPlugin(enterprise_loader)

ec_public_key = crypto.unload_ec_public_key(enterprise_data.enterprise_info.ec_public_key)
agent_info = pedm_shared.DeploymentAgentInformation(hash_key=plugin.agent_key, peer_public_key=ec_public_key)
spiffe_cert = cert.public_bytes(serialization.Encoding.DER)

add_rq = admin_types.AddDeployment(name=deployment_name, spiffe_cert=spiffe_cert, agent_info=agent_info)
response = plugin.modify_deployments(add_deployments=[add_rq])
```

</details>

### デプロイ編集コマンド <a href="#deployment-edit-command" id="deployment-edit-command"></a>

既存のKEPMデプロイの設定 (名前や有効/無効の状態など) を変更します。デプロイを作り直さずに、管理者がデプロイ構成を更新できます。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `epm-deployment update`

**エイリアス**: `epm-dep update`

**パラメータ**:

<table><thead><tr><th width="211">パラメータ</th><th>説明</th></tr></thead><tbody><tr><td><em>(位置引数)</em></td><td>デプロイUIDまたは名前 (大文字/小文字を区別しない)。</td></tr><tr><td><code>--name</code></td><td>新しいデプロイ表示名。</td></tr><tr><td><code>--disabled</code></td><td><code>true</code> または <code>false</code> でデプロイを無効化または有効化。</td></tr><tr><td><code>--spiffe-cert</code></td><td>SPIFFE証明書ファイルパス (<code>.cer</code>、<code>.der</code>、<code>.pem</code>) またはbase64urlエンコード文字列。</td></tr></tbody></table>

**例**:

{% code expandable="true" %}

```bash
My Vault > epm-deployment update "Test Servers" --name "Test1 Servers"      
Deployment 'v1V-I5PrHXwvK82epoP_Yw' updated.
  Updated: v1V-I5PrHXwvK82epoP_Yw
```

{% endcode %}

</details>

<details>

<summary>DotNet SDK</summary>

**関数:** `ModifyDeployments`

**例**:

{% code expandable="true" %}

```csharp
public async Task<ModifyStatus> ModifyDeployments(
    IEnumerable<DeploymentDataInput> addDeployments = null,
    IEnumerable<DeploymentDataInput> updateDeployments = null,
    IEnumerable<string> removeDeployments = null)
```

{% endcode %}

</details>

<details>

<summary>Power Commander</summary>

**コマンド:** `Update-KeeperEpmDeployment`

**エイリアス**: `kepm-deployment-edit`

**パラメータ**:

<table><thead><tr><th width="263.00006103515625">パラメータ</th><th>説明</th></tr></thead><tbody><tr><td><code>-DeploymentUidOrName</code></td><td>デプロイUIDまたはデプロイ名 (大文字/小文字を区別しない)。</td></tr><tr><td><code>-Name</code></td><td>新しいデプロイ表示名。</td></tr><tr><td><code>-Enable</code></td><td><code>on</code> または <code>off</code> でデプロイを有効化または無効化。</td></tr></tbody></table>

**例**:

{% code expandable="true" %}

```ps1
PS > Update-KeeperEpmDeployment -DeploymentUidOrName "Example Servers" -Name "Renamed Deployment"
Deployment 'QNRf1KWsxDg6YkLxJaZTbA' updated.
  Updated: QNRf1KWsxDg6YkLxJaZTbA
```

{% endcode %}

</details>

<details>

<summary>Python SDK</summary>

**関数:**

```python
from keepersdk.plugins.pedm import admin_plugin

deployment_name = 'deployment name'
plugin = admin_plugin.PedmPlugin(enterprise_loader)

deployment = plugin.deployments.get_entity(deployment_name)
spiffe_cert = cert.public_bytes(serialization.Encoding.DER)

name= 'new name'
disable = True ## or false
update_rq = admin_types.UpdateDeployment(
            deployment_uid=deployment.deployment_uid, name=name, disabled=disabled, spiffe_cert=spiffe_cert)
response = plugin.modify_deployments(update_deployments=[update_rq])
```

</details>

### デプロイ削除コマンド <a href="#deployment-delete-command" id="deployment-delete-command"></a>

システムから1つ以上のKEPMデプロイを削除します。デプロイ構成を恒久削除するコマンドのため、特にデプロイにエージェントがまだ紐づいている場合は注意して使用してください。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `epm-deployment remove`

**エイリアス**: `epm-dep remove`, `epm-deployment delete`

**パラメータ**:

<table><thead><tr><th width="168.00006103515625">パラメータ</th><th>説明</th></tr></thead><tbody><tr><td><em>(位置引数)</em></td><td>デプロイUIDまたは名前 (大文字/小文字を区別しない)。</td></tr><tr><td><code>-f</code>, <code>--force</code></td><td>削除前の確認プロンプトをスキップ。</td></tr></tbody></table>

**例**:

{% code expandable="true" %}

```bash
My Vault> epm-deployment remove "Test1 Servers"
Do you want to delete 1 deployment(s)? [y/n]: y
  Removed: v1V-I5PrHXwvK82epoP_Yw
```

{% endcode %}

</details>

<details>

<summary>DotNet SDK</summary>

**関数:** `ModifyDeployments`

**例**:

{% code expandable="true" %}

```csharp
public async Task<ModifyStatus> ModifyDeployments(
    IEnumerable<DeploymentDataInput> addDeployments = null,
    IEnumerable<DeploymentDataInput> updateDeployments = null,
    IEnumerable<string> removeDeployments = null)
```

{% endcode %}

</details>

<details>

<summary>Power Commander</summary>

**コマンド:** `Remove-KeeperEpmDeployment`

**エイリアス**: `kepm-deployment-delete`

**パラメータ**:

<table><thead><tr><th width="236.99993896484375">パラメータ</th><th>説明</th></tr></thead><tbody><tr><td><code>-DeploymentUidOrName</code></td><td>デプロイUIDまたはデプロイ名 (大文字/小文字を区別しない)。</td></tr><tr><td><code>-Force</code></td><td>削除前の確認プロンプトをスキップ。</td></tr></tbody></table>

**例:**

{% code expandable="true" %}

```ps1
PS > Remove-KeeperEpmDeployment "Renamed Deployment"

Confirm
Are you sure you want to perform this action?
Performing the operation "Delete" on target "deployment 'Renamed Deployment'".
[Y] Yes  [A] Yes to All  [N] No  [L] No to All  [S] Suspend  [?] Help (default is "Y"): y
Deployment 'QNRf1KWsxDg6YkLxJaZTbA' deleted.
  Removed: QNRf1KWsxDg6YkLxJaZTbA
```

{% endcode %}

</details>

<details>

<summary>Python SDK</summary>

**関数:**

```python
from keepersdk.plugins.pedm import admin_plugin

deployment_name = 'deployment name'
plugin = admin_plugin.PedmPlugin(enterprise_loader)

deployment = plugin.deployments.get_entity(deployment_name)
response = plugin.modify_deployments(remove_deployments=[deployment.uid])
```

</details>

### デプロイトークン取得コマンド <a href="#deployment-download-command" id="deployment-download-command"></a>

KEPMエージェントのインストールに必要なデプロイトークンを取得します。トークンを画面に表示したりファイルに保存したりでき、必要に応じてWindows、MacOS、Linux向けエージェントインストールパッケージのダウンロードURLも表示できます。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `epm-deployment download`

**エイリアス**: `epm-dep download`

**パラメータ**:

<table><thead><tr><th width="231.00006103515625">パラメータ</th><th>説明</th></tr></thead><tbody><tr><td><em>(位置引数)</em></td><td>デプロイUIDまたは名前 (大文字/小文字を区別しない)。</td></tr><tr><td><code>--file</code></td><td>デプロイトークンとダウンロードURLを書き出すファイルパス (タブ区切り、UTF-8)。</td></tr><tr><td><code>--verbose</code></td><td>詳細出力。</td></tr></tbody></table>

**例**:

{% code expandable="true" %}

```bash
My Vault > epm-deployment download "Production Servers"
```

{% endcode %}

</details>

<details>

<summary>DotNet SDK</summary>

**関数:** 非対応

</details>

<details>

<summary>Power Commander</summary>

**コマンド:**`Get-KeeperEpmDeploymentDownload`

**エイリアス**: `kepm-deployment-download`

**パラメータ**:

<table><thead><tr><th width="238">パラメータ</th><th>説明</th></tr></thead><tbody><tr><td><code>-DeploymentUidOrName</code></td><td>デプロイUIDまたはデプロイ名 (大文字/小文字を区別しない)。</td></tr><tr><td><code>-File</code></td><td>トークンとダウンロードURLを書き出す任意のパス (タブ区切り、UTF-8)。</td></tr></tbody></table>

**例:**

{% code expandable="true" %}

```
PS > Get-KeeperEpmDeploymentDownload "EPMTEST"
WARNING: The deployment token contains a private key. Treat it as a secret and do not share it insecurely.
Windows download URL    https://keepersecurity.com/pam/pedm/core/1.2.0.291/KeeperPrivilegeManagerWindows.zip
MacOS download URL      https://keepersecurity.com/pam/pedm/core/1.2.0.291/KeeperPrivilegeManagerMacOS.zip
Linux download URL      https://keepersecurity.com/pam/pedm/core/1.2.0.291/KeeperPrivilegeManagerLinux.zip
Deployment Token        keepersecurity.com:vvpOOn80jdyb8FihzHCeg4CZ-_bwA:f34Ull-C_Fqwerraoykg78012lh2O2tJOjONaE1YvNRoKU2lHy60J8090w6k
```

{% endcode %}

</details>

<details>

<summary>Python SDK</summary>

**関数:** 非対応

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.keeper.io/keeperpam/jp/commander-sdk/keeper-commander-sdks/sdk-command-reference/pedm-commands/pedm-deployment-commands.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
